MAKEKDEWIDGETS(1)

makekdewidgets

NOM
makekdewidgets - Compile des modules de composants graphiques Qt(TM) à partir d'un fichier de description de type ini.

SYNOPSIS

makekdewidgets [Options Qt(TM)] [Options KDE] fichier

DESCRIPTION

makekdewidgets construit des modules de composants graphiques Qt(TM) à partir d'un fichier de description de type ini.

OPTIONS

Arguments :

fichier
    Fichier d'entrée

Options :

-o <fichier>
    Fichier de sortie

-n <nom du module>
    Nom de la classe de module à générer [WidgetsPlugin]

-g <groupe>
    Groupe de composant graphique par défaut à afficher dans le designer [Custom]

-p <dossier pixmap>
    Embarque les pixmaps d'un dossier source

Options Génériques :

--help
    Affiche l'aide à propos des options

--help-qt
    Affiche les options spécifiques à Qt(TM)

--help-kde
    Affiche les options spécifiques à KDE

--help-all
    Affiche toutes les options

--author
    Affiche des informations sur l'auteur

-v, --version
    Affiche des informations sur la version

--license
    Affiche des informations sur la licence

Options KDE :

--caption <caption>
    Utilise le libellé 'caption' comme nom dans la barre de titre.

--icon <icon>
    Utilise l'icône 'icon' comme icône de l'application.

--miniicon <icon>
    Utilise l'icône 'icon' comme icône de l'application.

--config <nom_de_fichier>
    Utilise un fichier de configuration alternatif

--dcopserver <serveur>
    Utilise le serveur DCOP spécifié dans 'serveur'

--nocrashhandler
    Désactive le module d'erreur permettant de récupérer le contenu de la mémoire.

--waitforwm
    Attend un gestionnaire de fenêtre compatible WM_NET

--style <style>
    Définit le style GUI de l'application

--geometry <geometrie>
    Définit la géométrie du client dans l'élément graphique principal, consultez man X pour le format de l'argument

Options Qt(TM) :

--display <displayname>
    Utilise le serveur X 'displayname'.

--session <sessionId>
    Restore l'application pour le 'sessionId' donné.

--cmap
    Oblige l’application à installer une carte de couleur privée sur un affichage 8 bits.

--ncols <count>
    Limite le nombre de couleurs attribué au cube de couleur sur un affichage 8 bits, si l’application utilise la spécification de couleur QApplication::ManyColor.

--nograb
    Indique à Qt(TM) de ne jamais capturer la souris ou le clavier.

--sync
    Bascule en mode synchronisé pour le débogage.

--fn, --font <nomdepolice>
    Définit la police de l'application.

--bg, --background <couleur>
    Définit la couleur par défaut de l'arrière-plan et la palette de l'application (les nuances lumineuses et sombres sont calculées).

--fg, --foreground <couleur>
    Définit la couleur de premier plan par défaut

--btn, --button <couleur>
    Définit la couleur par défaut du bouton

--name <nom>
    Définit le nom de l'application

--title <titre>
    Définit le titre de l'application (son libellé).

--visual TrueColor
    Force l'application à utiliser un affichage TrueColorsur un écran 8 bits.

--inputstyle <inputstyle>
    Définit le style d'entrée XIM (X Input Method). Les valeurs possibles sont onthespot, overthespot, offthespot et root.

--im <serveur XIM>
    Définit le serveur XIM

--noxim
    Désactive XIM

--reverse
    inverse via un effet mirroir tout l'agencement des composants

VOIR AUSSI

http://developer.kde.org
    Site web des Développeurs de KDE

BOGUES

Merci d'utiliser bugs.kde.org[1] pour signaler un bogue, n'envoyez pas directement d'email aux auteurs.

AUTEUR

Ian Reinhart Geiser <geiseri@kde.org>
    Auteur.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org